Package org.eclipse.graphiti.mm.pictograms

# Interface AdvancedAnchor

All Superinterfaces:
  `Anchor`, `org.eclipse.emf.ecore.EObject`, `GraphicsAlgorithmContainer`, `org.eclipse.emf.common.notify.Notifier`, `PictogramElement`, `PropertyContainer`

All Known Subinterfaces:
  `BoxRelativeAnchor`, `FixPointAnchor`

All Known Implementing Classes:
  `AdvancedAnchorImpl`, `BoxRelativeAnchorImpl`, `FixPointAnchorImpl`

public interface AdvancedAnchor extends Anchor
A representation of the model object ' Advanced Anchor'.

Since:
  0.9

  The following features are supported:

  - `Use Anchor Location As Connection Endpoint`
See Also:
  - `PictogramsPackage.getAdvancedAnchor()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isUseAnchorLocationAsConnectionEndpoint()`
Returns the value of the 'Use Anchor Location As Connection Endpoint' attribute.
`void`
`setUseAnchorLocationAsConnectionEndpoint(boolean value)`
Sets the value of the '`Use Anchor Location As Connection Endpoint`' attribute.

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.Anchor

`getIncomingConnections, getOutgoingConnections, getParent, getReferencedGraphicsAlgorithm, setParent, setReferencedGraphicsAlgorithm`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.PictogramElement

`getGraphicsAlgorithm, getLink, isActive, isVisible, setActive, setGraphicsAlgorithm, setLink, setVisible`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

## Method Details

### isUseAnchorLocationAsConnectionEndpoint

boolean isUseAnchorLocationAsConnectionEndpoint()
Returns the value of the 'Use Anchor Location As Connection Endpoint' attribute. The default value is `"false"`.

If the meaning of the 'Use Anchor Location As Connection Endpoint' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Use Anchor Location As Connection Endpoint' attribute.
See Also:
  - `setUseAnchorLocationAsConnectionEndpoint(boolean)`
  - `PictogramsPackage.getAdvancedAnchor_UseAnchorLocationAsConnectionEndpoint()`

### setUseAnchorLocationAsConnectionEndpoint

void setUseAnchorLocationAsConnectionEndpoint(boolean value)
Sets the value of the '`Use Anchor Location As Connection Endpoint`' attribute.

Parameters:
  `value` - the new value of the 'Use Anchor Location As Connection Endpoint' attribute.
See Also:
  - `isUseAnchorLocationAsConnectionEndpoint()`